#
# Conditional build:
%bcond_with	tests	# pytest tests (one test fails with pytest-httpbin 1.0.0)

%define		urllib3_ver	1.21.1
%define		module		requests
%define		egg_name	requests
Summary:	HTTP library for Python
Summary(pl.UTF-8):	Biblioteka HTTP dla Pythona
Name:		python3-%{module}
Version:	2.31.0
Release:	1%{?tld}
License:	Apache v2.0
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/requests/
Source0:	https://files.pythonhosted.org/packages/source/r/requests/%{module}-%{version}.tar.gz
# Source0-md5:	941e175c276cd7d39d098092c56679a4
Patch0:		system-cert.patch
Patch1:	        python-requests-reqs.patch
Patch2:		python-requests-disable-xdist.patch
URL:		https://docs.python-requests.org/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.713
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-PySocks >= 1.5.8
BuildRequires:	python3-certifi >= 2017.4.17
BuildRequires:	python3-charset_normalizer >= 2
BuildRequires:	python3-charset_normalizer < 2.1
BuildRequires:	python3-idna >= 2.5
BuildRequires:	python3-idna < 4
BuildRequires:	python3-pytest >= 3
BuildRequires:	python3-pytest-cov
BuildRequires:	python3-pytest-httpbin >= 0.0.7
BuildRequires:	python3-pytest-mock >= 2.0.0
BuildRequires:	python3-pytest-xdist
BuildRequires:	python3-urllib3 >= %{urllib3_ver}
BuildRequires:	python3-urllib3 < 1.27
%endif
Requires:	python3-modules >= 1:3.6
Requires:	python3-charset_normalizer >= 2
# for https
Requires:	python3-cryptography >= 1.3.4
Requires:	python3-idna >= 2.5
Requires:	python3-pyOpenSSL >= 0.14
Requires:	python3-urllib3 >= 1.22-2
Suggests:	ca-certificates
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Requests is a HTTP library, written in Python, for human beings.

Most existing Python modules for sending HTTP requests are extremely
verbose and cumbersome. Python's builtin urllib2 module provides most
of the HTTP capabilities you should need, but the API is thoroughly
broken. It requires an enormous amount of work (even method overrides)
to perform the simplest of tasks. Things shouldn't be this way. Not in
Python.

This package contains Python 3.x module.

%description -l pl.UTF-8
Requests to napisana w Pythonie biblioteka HTTP dla ludzi.

Większość istniejących modułów Pythona do wysyłania żądań HTTP jest
zbyt gadatliwa i nieporęczna. Wbudowany w Pythona moduł urllib2
zapewnia większość wymaganych możliwości HTTP, ale API jest kiepskie -
wymaga dużych nakładów pracy (nawet nadpisań metod) do wykonania
najprostszych zadań. Nie powinno tak być. Nie w Pythonie.

Ten pakiet zawiera moduł dla Pythona 3.x.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS="pytest_httpbin.plugin,pytest_mock" \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc HISTORY.md README.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%changelog
* Mon Apr 01 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/python3-requests.git;a=log;h=master

* Tue Nov 14 2023 Jan Palus <atler@pld-linux.org> 3705b37
- up to 2.31.0

* Mon Nov 21 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 594bc38
- Up to 2.28.1 (python2 support is gone)

* Sat Sep 10 2022 Jakub Bogusz <qboosh@pld-linux.org> d27cd28
- updated to 2.27.1

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 8b0aae9
- rebuild with tests and docs

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> 9e2ed22
- fix tests bcond, rel 4

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> abfa842
- rebuild with python 3.10

* Sat Mar 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 822dad3
- idna<4 for python3

* Sat Mar 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 2335164
- try with tests, added reqs,disable-xdist patches, but one test fails

* Sat Mar 05 2022 Jakub Bogusz <qboosh@pld-linux.org> fa360ea
- updated dependencies, removed redundant py_*comp

* Mon Nov 08 2021 Jan Palus <atler@pld-linux.org> 24e1d82
- help poldek install python3-requests automatically; rel 2

* Fri Oct 15 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> a5ef80c
- Up to 2.26.0

* Mon Mar 15 2021 Jan Rękorajski <baggins@pld-linux.org> 934cc89
- up to 2.25.1

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> fcea679
- release 2 (by relup.sh)

* Wed Feb 26 2020 Jakub Bogusz <qboosh@pld-linux.org> 0ecc0c8
- updated chardet, idna, pytest dependencies

* Wed Feb 26 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f649ff
- up to 2.23.0

* Sat Nov 09 2019 Marcin Krol <hawk@tld-linux.org> 94e161a
- release 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 7f25bad
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Oct 03 2019 Jakub Bogusz <qboosh@pld-linux.org> 0cad2f1
- updated to 2.22.0; allows idna 2.8 and urllib 1.25 >=1.25.3

* Mon Feb 11 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> ff7234e
- up to 2.21.0

* Sun Dec 02 2018 Jakub Bogusz <qboosh@pld-linux.org> 9cf3c36
- release 2 (to allow urllib3 1.24)

